% playing music in matlab

load mclips.mat

% command 'whos' at matlab prompt shows 
% all variables in matlab system memory
% in this case, two music clips x and y
% and a sampling rate fs = 44100 Hz

% plot the audio signal x
plot(x)

% use the sound command to play clip x
sound(x,fs)


% pause will halt program until you
% hit a key; hit the a key after the 
% x clip finishes playing, then the 
% next clip will play
pause

% call sound command to play clip y
% clip y is x with a digital echo at 
% a delay of roughly .1 seconds
sound(y,fs)

